| dsi2rx Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
Overview

## Functions
u32 | XDsi2Rx_CfgInitialize (XDsi2Rx *InstancePtr, XDsi2Rx_Config *CfgPtr, UINTPTR EffectiveAddr)
| Initialize the XDsi2Rx instance provided by the caller based on the given Config structure. More...
void | XDsi2Rx_Reset (XDsi2Rx *InstancePtr)
| This function will do a reset of the IP. More...
u32 | XDsi2Rx_DefaultConfigure (XDsi2Rx *InstancePtr)
| This function will configure protocol reg with video mode, Blank packet mode, Blank packet Type, End of Transmisstion packet. More...
u32 | XDsi2Rx_Activate (XDsi2Rx *InstancePtr, XDsi2Rx_Selection Flag)
| This function will enable/disable the IP Core to start processing. More...
void | XDsi2Rx_GetConfigParams (XDsi2Rx *InstancePtr, XDsi2Rx_ConfigParameters *ConfigInfo)
| this function will get the information from the gui settings and other protocol control register values like pixel mode, pixel format. More...
u32 | XDsi2Rx_SelfTest (XDsi2Rx *InstancePtr)
| Runs a self-test on the driver/device. More...

## Function Documentation

u32 XDsi2Rx_Activate | ( | XDsi2Rx * | InstancePtr,
|  | XDsi2Rx_Selection | Flag
| ) |  |

This function will enable/disable the IP Core to start processing.

Parameters

  InstancePtr | is the XDsi2Rx instance to operate on.
  Flag | will be used to indicate Enable or Disable action.

Returns
  - XST_SUCCESS On enabling/disabling the core.

- XST_INVALID_PARAM if user passes invalid parameter.

Note
  None.

References XDsi2Rx::IsReady.

u32 XDsi2Rx_CfgInitialize | ( | XDsi2Rx * | InstancePtr,
|  | XDsi2Rx_Config * | CfgPtr,
|  | UINTPTR | EffectiveAddr
| ) |  |

Initialize the XDsi2Rx instance provided by the caller based on the given Config structure.

Parameters

  InstancePtr | is the XDsi2Rx instance to operate on.
  CfgPtr | is the device configuration structure containing information about a specific DSI.
  EffectiveAddr | is the base address of the device. If address translation is being used, then this parameter must reflect the virtual base address. Otherwise, the physical address should be used.

Returns
  - XST_SUCCESS Initialization was successful.
  - XST_FAILURE Initialization was unsuccessful.

Note
  None.

References XDsi2Rx_Config::BaseAddr, XDsi2Rx::Config, XDsi2Rx::IsReady, and XDsi2Rx::UnSupportedDataTypeCallback.

u32 XDsi2Rx_DefaultConfigure | ( | XDsi2Rx * | InstancePtr | ) |

This function will configure protocol reg with video mode, Blank packet mode, Blank packet Type, End of Transmisstion packet.

Parameters

  InstancePtr | is the XDsi2Rx instance to operate on.

Returns
  - XST_SUCCESS On enabling the core.

Note
  None.

References XDsi2Rx::IsReady, and XDsi2Rx::PixelMode.

void XDsi2Rx_GetConfigParams | ( | XDsi2Rx * | InstancePtr,
|  | XDsi2Rx_ConfigParameters * | ConfigInfo
| ) |  |

this function will get the information from the gui settings and other protocol control register values like pixel mode, pixel format.

Parameters

  instanceptr | is the xdsi2rx instance to operate on
  configinfo | is going to be filled up by this function and returned to the caller.

Returns
  none.

Note
  none.

References XDsi2Rx_Config::BaseAddr, XDsi2Rx_ConfigParameters::Config, XDsi2Rx::Config, and XDsi2Rx_ConfigParameters::PixelMode.

void XDsi2Rx_Reset | ( | XDsi2Rx * | InstancePtr | ) |

This function will do a reset of the IP.

Register ISR gets reset. Internal FIFO(command queue) gets flushed. FSM stops processing further packets. Controller gracefully ends by waiting for the current sub-block in operation to complete its task and mark next byte as LP byte to end the transfer. Once soft reset is released, controller start from VSS packet. (that is new video frame)

Parameters

  InstancePtr | is the XDsi2Rx instance to operate on.

Returns
  None.

Note
  None.

u32 XDsi2Rx_SelfTest | ( | XDsi2Rx * | InstancePtr | ) |

Runs a self-test on the driver/device.

This test checks if the Pixel mode has been set.

Parameters

  InstancePtr | is a pointer to the XDsi2Rx instance.

Returns
  - XST_SUCCESS if self-test was successful
  - XST_FAILURE if the read value was not equal to GUI parameter

Note
  None

References XDsi2Rx_Config::BaseAddr, XDsi2Rx::Config, and XDsi2Rx::IsReady.